#
# spec file for package rubygem-addressable
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
Name:           rubygem-addressable
Version:        2.2.6
Release:        1.2
%define mod_name addressable
%define mod_full_name %{mod_name}-%{version}
#
Group:          Development/Languages/Ruby
License:        MIT
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  rubygems_with_buildroot_patch
%rubygems_requires
#
Provides:       rubygem-%{mod_name}     = %{version}-%{release}
Provides:       rubygem-%{mod_name}-2   = %{version}-%{release}
Provides:       rubygem-%{mod_name}-2_2 = %{version}-%{release}
#
Url:            http://addressable.rubyforge.org/
Source:         %{mod_full_name}.gem
#
Summary:        URI Implementation
%description
Addressable is a replacement for the URI implementation that is part of
Ruby's standard library. It more closely conforms to the relevant RFCs and
adds support for IRIs and URI templates.

%package doc
Summary:        RDoc documentation for %{mod_name}
Group:          Development/Languages/Ruby
Requires:       %{name} = %{version}
%description doc
Documentation generated at gem installation time.
Usually in RDoc and RI formats.

%package testsuite
Summary:        Test suite for %{mod_name}
Group:          Development/Languages/Ruby
Requires:       %{name} = %{version}
%description testsuite
Test::Unit or RSpec files, useful for developers.

%prep
%build
%install
%gem_install %{S:0}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/ruby/gems/%{rb_ver}/cache/%{mod_full_name}.gem
%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/
%exclude %{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/spec
%{_libdir}/ruby/gems/%{rb_ver}/specifications/%{mod_full_name}.gemspec

%files doc
%defattr(-,root,root,-)
%doc %{_libdir}/ruby/gems/%{rb_ver}/doc/%{mod_full_name}/

%files testsuite
%defattr(-,root,root,-)
%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/spec

%changelog
* Fri Oct  7 2011 fcastelli@suse.com
- Update to 2.2.6
* Tue May 10 2011 visnov@suse.cz
- fix license - MIT
* Tue Mar 29 2011 kkaempf@novell.com
- update to 2.2.4 (for dm-core 1.1.0)
- split off -doc subpackage
* Tue Jan 11 2011 aduffeck@novell.com
- update to version 2.2.2
  * added site methods
  * improved documentation
  * added support for application/x-www-form-urlencoded.
  * fixed issue with percent escaping of '+' character in query strings
* Thu Jun 10 2010 mrueckert@suse.de
- update to version 2.1.2
  * added HTTP request URI methods
  * better handling of Windows file paths
  * validation_deferred boolean replaced with defer_validation block
  * normalization of percent-encoded paths should now be correct
  * fixed issue with constructing URIs with relative paths
  * fixed warnings
- drop development requirements
- use rubygems_requires macro
* Mon Dec 21 2009 prusnak@suse.cz
- update to 2.1.1
* Sat Aug 29 2009 dmacvicar@novell.com
- downgrade to 2.0.2 until dm-core 0.10.0 gets released
* Sun Jul 26 2009 dmacvicar@suse.de
- update to 2.1.0
* Mon Mar 23 2009 dmacvicar@suse.de
- initial package
